> ## Documentation Index
> Fetch the complete documentation index at: https://magic-21.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Merchant Status Refund Request

> Approve refund request by a merchant.

### header

<ParamField header="Authorization" type="string">
  The authentication token that you will get in the success response on 'verify\_user' api.
</ParamField>

### body

<ParamField body="id" type="string">
  The refund id you will get when Refund object created.
</ParamField>

<ParamField body="status" type="string">
  The merchant response on the refund request(Approved or Rejected).
</ParamField>

### Response

<ResponseField name="success" type="number">
  This Response field will return "Refund Request Approved by merchant" with status code 200 on success request.
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request POST 'http://127.0.0.1:8000/api/merchants/refund_request/merchant_status_refund_request/' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --body-data 'id:refund_record_id, status: Approved or Rejected'

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}

  "Refund request accepted by merchant"
      
  ```
</ResponseExample>
